%define upstream_name    Sys-Sendfile
%define upstream_version 0.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Zero-copy data transfer
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Sys/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%description
Sys::Sendfile provides access to your operating system's 'sendfile'
facility. It allows you to efficiently transfer data from one filehandle to
another. Typically the source is a file on disk and the sink is a socket,
and some operating systems may not even support other usage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%buildroot

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Sat Jul 18 2020 tv <tv> 0.170.0-5.mga8
+ Revision: 1606998
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Wed Feb 12 2020 umeabot <umeabot> 0.170.0-4.mga8
+ Revision: 1508396
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 0.170.0-3.mga7
+ Revision: 1293826
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.170.0-2.mga7
+ Revision: 1249889
- Rebuild for perl 5.28

* Mon Apr 09 2018 tv <tv> 0.170.0-1.mga7
+ Revision: 1216828
- fix filelist
+ kekepower <kekepower>
- Update to version 0.17

* Tue Oct 03 2017 tv <tv> 0.160.0-5.mga7
+ Revision: 1166679
- rebuild with fixed rpm for missing autodeps

* Sun Jun 19 2016 pterjan <pterjan> 0.160.0-4.mga7
+ Revision: 1033601
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.160.0-3.mga6
+ Revision: 958023
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.160.0-2.mga6
+ Revision: 845303
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.160.0-1.mga6
+ Revision: 841627
- update to 0.16

* Sun Oct 19 2014 umeabot <umeabot> 0.120.0-5.mga5
+ Revision: 790026
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-4.mga5
+ Revision: 746951
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-3.mga5
+ Revision: 686292
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.120.0-2.mga5
+ Revision: 631736
- Rebuild for perl 5.20

* Tue Feb 04 2014 shlomif <shlomif> 0.120.0-1.mga5
+ Revision: 581331
- New version 0.12

* Sat Oct 19 2013 umeabot <umeabot> 0.110.0-5.mga4
+ Revision: 524495
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.110.0-4.mga4
+ Revision: 430966
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-3.mga3
+ Revision: 372989
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.110.0-2.mga3
+ Revision: 251186
- rebuild for perl 5.16

* Thu Feb 23 2012 kharec <kharec> 0.110.0-1.mga2
+ Revision: 212653
- imported package perl-Sys-Sendfile

